%define apuver 1
Summary: Apache Portable Runtime Utility library
Name: apr-util
Version: 1.3.9
Release: 1
License: Apache Software License
Group: System Environment/Libraries
URL: http://apr.apache.org/
Source0: http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
Patch1: apr-util-1.3.9-config.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildPrereq: autoconf, libtool, apr-devel >= 1.3.0
BuildPrereq: expat-devel
Requires: db >= 4.8.24

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines.  This library
contains additional utility interfaces for APR; including support
for XML, LDAP, database interfaces, URI parsing and more.

%package devel
Group: Development/Libraries
Summary: APR utility library development kit
Requires: apr-util = %{version}-%{release}, apr-devel
Requires: expat-devel

%description devel
This package provides the support files which can be used to 
build applications using the APR utility library.  The mission 
of the Apache Portable Runtime (APR) is to provide a free 
library of C data structures and routines.

%prep
%setup -q
%patch1 -p1 -b .configure

%build
CFLAGS="-I/opt/freeware/include/ -D_GNU_SOURCE"  LIBS=' -L/opt/freeware/lib' \
CPPFLAGS='-I/opt/freeware/include' LDFLAGS="-L/opt/freeware/lib" \
./configure --with-apr=%{_prefix} \
        --includedir=%{_includedir}/apr-%{apuver} \
        --with-berkeley-db=%{_prefix} --without-iconv \
	--without-oracle --without-mysql --with-sqlite3 \
	--without-sqlite2 --without-pgsql \
        --prefix=%{_prefix}
#./configure --with-apr=%{_prefix} --with-dbm=db48\
make 

cd .libs
mv libaprutil-1.a libaprutil-1.3.9.a
/usr/bin/ar -qv libaprutil-1.a libaprutil-1.so.0.3.9
cd ../dbd/.libs
/usr/bin/ar -qv apr_dbd_sqlite3-1.a apr_dbd_sqlite3-1.so
cd ../../dbm/.libs
/usr/bin/ar -qv apr_dbm_db-1.a apr_dbm_db-1.so
cd -

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/aprutil.exp

cd ${RPM_BUILD_ROOT}
for dir in bin lib
do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE NOTICE
%{_libdir}/libaprutil-%{apuver}.a
/usr/lib/libaprutil-%{apuver}.a

%files devel
%defattr(-,root,root,-)
%{_bindir}/apu-%{apuver}-config
%{_libdir}/libaprutil-%{apuver}.*a
%{_libdir}/libaprutil-%{apuver}.so*
%{_includedir}/apr-%{apuver}/*.h

%changelog
* Thu Jan 21 2010 Jean Noel Cordenner <jean-noel.cordenner@bull.net> 1.3.9
- Initial port for AIX
